Skip to main content
`Ctrl`+`K`

# PetscContainerSetPointer

Sets the pointer value contained in the container.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscContainerSetPointer(PetscContainer obj, void *ptr)

Logically Collective, No Fortran Support

## Input Parameters

- obj - the object created with `PetscContainerCreate()`

- ptr - the pointer value

## See Also

`PetscContainerCreate()`, `PetscContainerDestroy()`, `PetscObjectCompose()`, `PetscObjectQuery()`, `PetscObject`, `PetscContainerGetPointer()`, `PetscObjectContainerCompose()`, `PetscObjectContainerQuery()`

## Level

advanced

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages